OpenJPEG 2.3.0

Data Fields
opj_packet_info Struct Reference

Index structure : Information concerning a packet inside tile. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_OFF_T | start_pos
| packet start position (including SOP marker if it exists) More...
OPJ_OFF_T | end_ph_pos
| end of packet header position (including EPH marker if it exists) More...
OPJ_OFF_T | end_pos
| packet end position More...
double | disto
| packet distorsion More...

## Detailed Description

Index structure : Information concerning a packet inside tile.

## Field Documentation

## ◆ disto

double opj_packet_info::disto

packet distorsion

Referenced by opj_t2_encode_packet().

## ◆ end_ph_pos

OPJ_OFF_T opj_packet_info::end_ph_pos

end of packet header position (including EPH marker if it exists)

Referenced by opj_t2_decode_packets(), opj_t2_encode_packet(), opj_t2_encode_packets(), opj_t2_read_packet_header(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ end_pos

OPJ_OFF_T opj_packet_info::end_pos

packet end position

Referenced by opj_t2_decode_packets(), opj_t2_encode_packets(), and opj_write_ppixfaix().

## ◆ start_pos

OPJ_OFF_T opj_packet_info::start_pos

packet start position (including SOP marker if it exists)

Referenced by opj_t2_decode_packets(), opj_t2_encode_packets(), opj_write_phixfaix(), and opj_write_ppixfaix().

The documentation for this struct was generated from the following file:

- openjpeg.h